
Redmine - Defect #11094

Redmine 2.0.x (including stable) doesn't work on fedora (Rails 3.2.5, ruby 1.9.3p194)

2012-06-05 22:23 - Charlie Mordant

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.0.0

Description

Hi,

Can you upgrade nokogiri?

Here's my fully fedora 16 working launch command for redmine (same for trunk): ruby /var/www/redmine/redmine-2.0/script/rails

server webrick -e production &

And here is the output with Fedora 17:

/usr/local/share/gems/gems/nokogiri-1.5.2/lib/nokogiri.rb:27:in `require': cannot load such file -- nokogiri/nokogiri (LoadError)

from /usr/local/share/gems/gems/nokogiri-1.5.2/lib/nokogiri.rb:27:in `<top (required)>'

from /usr/local/share/gems/gems/bundler-1.1.4/lib/bundler/runtime.rb:68:in `require'

from /usr/local/share/gems/gems/bundler-1.1.4/lib/bundler/runtime.rb:68:in `block (2 levels) in require'

from /usr/local/share/gems/gems/bundler-1.1.4/lib/bundler/runtime.rb:66:in `each'

from /usr/local/share/gems/gems/bundler-1.1.4/lib/bundler/runtime.rb:66:in `block in require'

from /usr/local/share/gems/gems/bundler-1.1.4/lib/bundler/runtime.rb:55:in `each'

from /usr/local/share/gems/gems/bundler-1.1.4/lib/bundler/runtime.rb:55:in `require'

from /usr/local/share/gems/gems/bundler-1.1.4/lib/bundler.rb:119:in `require'

from /var/www/redmine/redmine-2.0/config/application.rb:7:in `<top (required)>'

from /usr/local/share/gems/gems/railties-3.2.3/lib/rails/commands.rb:53:in `require'

from /usr/local/share/gems/gems/railties-3.2.3/lib/rails/commands.rb:53:in `block in <top (required)>'

from /usr/local/share/gems/gems/railties-3.2.3/lib/rails/commands.rb:50:in `tap'

from /usr/local/share/gems/gems/railties-3.2.3/lib/rails/commands.rb:50:in `<top (required)>'

from /var/www/redmine/redmine-2.0/script/rails:6:in `require'

from /var/www/redmine/redmine-2.0/script/rails:6:in `<main>

Best regards, Redmine is a wonderfull product!

Related issues:

Is duplicate of Redmine - Defect #11071: Redmine does not install and run on ... Closed

History

#1 - 2012-06-05 22:59 - Charlie Mordant

Oops, it's a duplicate of http://www.redmine.org/issues/11071, sorry for the inconvenience

#2 - 2012-06-05 23:00 - Charlie Mordant

after investigation, error is the same as 11071, please forgot the nokogiri message

#3 - 2012-06-05 23:03 - Charlie Mordant

It's not a true duplicate, the error is the same but it's when we launch webrick

#4 - 2012-06-07 19:19 - Jean-Philippe Lang

Can you upgrade nokogiri?

 What do you mean? nokogiri is not a Redmine dependency. I'm running it without this gem actually.

#5 - 2012-06-07 19:45 - Etienne Massip
http://www.redmine.org/issues/11071


- Status changed from New to Closed

- Resolution set to Duplicate

#6 - 2015-12-11 13:03 - Alexey Poliansky

yum install redhat-rpm-config

How it possible - I don't know, but it's help me after long quest... After it in necessary to install RMagick by yum. Before it I've install gcc and

development group, but it's other story. Good luck.
